package pipe.gui;
import pipe.dataLayer.*;

import javax.swing.*;
import java.util.*;
import java.util.Observable;
import java.awt.*;
import java.awt.event.*;
import java.awt.event.MouseEvent;

import javax.swing.event.MouseInputAdapter;


/**
 * Class used to implement methods corresponding to mouse events on arcs.
 * This actually shouldn't be used, as we don't want the entire arc component to be active.
 * Instead we use the ArrowLabel attached to the Arc.
 */

public class ArcHandler extends  PetriNetObjectHandler {

  public ArcHandler(CreateGui creategui, Container contentpane) {
    super(creategui,contentpane);
    //System.out.println("creating arc handler");
  }


  /** Creates the popup menu that the user will see when they right click on a component */
  public JPopupMenu getPopup(MouseEvent e) {
    JPopupMenu popup = new JPopupMenu();
    //	System.out.println("e: " + e.getComponent().getClass().getName());
    JMenuItem menuItem = new JMenuItem(new EditWeightingAction(contentPane,(ArrowLabel)e.getComponent()));
    menuItem.setText("Change Weighting");
    popup.add(menuItem);

    menuItem = new JMenuItem(new DeleteAction(contentPane,e.getComponent(),theApp));
    menuItem.setText("Delete");
    popup.add(menuItem);


    return popup;
  }
}















